< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package objectstore
  Definition Classes
    hmrc
-  package client
  Definition Classes
    objectstore
-  package play
  Definition Classes
    client
-  package modules
  Definition Classes
    play
- HttpBody
- Implicits
- InMemoryPlayObjectStoreContentReads
- Md5Hash
- MonadFuture
- OtherError
- PlayFormats
- PlayMonad
- PlayMonads
- PlayObjectStoreClient
- PlayObjectStoreClientEither
- PlayObjectStoreContentReads
- PlayObjectStoreContentWrites
- PlayObjectStoreException
- PlayObjectStoreReads
- PlayWSHttpClient
- UpstreamErrorResponse

o

uk.gov.hmrc.objectstore.client.play

# Implicits 

###

#### object Implicits extends PlayObjectStoreContentReads with PlayObjectStoreContentWrites with PlayMonads

Linear Supertypes
PlayMonads, PlayObjectStoreContentWrites, PlayObjectStoreContentReads, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Implicits
2. PlayMonads
3. PlayObjectStoreContentWrites
4. PlayObjectStoreContentReads
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  implicit def akkaSourceContentRead[F[_]](implicit ec: ExecutionContext, F: PlayMonad[F]): ObjectStoreContentRead[F, WSResponse, Source[ByteString, NotUsed]]
   Definition Classes
     PlayObjectStoreContentReads
5.  implicit def akkaSourceContentWrite[F[_], Mat](implicit ec: ExecutionContext, m: Materializer, F: PlayMonad[F]): ObjectStoreContentWrite[F, Source[ByteString, Mat], Request]
   Definition Classes
     PlayObjectStoreContentWrites
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  implicit def bytesWrite[F[_]](implicit ec: ExecutionContext, F: PlayMonad[F]): ObjectStoreContentWrite[F, Array[Byte], Request]
   Definition Classes
     PlayObjectStoreContentWrites
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  implicit def fileWrite[F[_]](implicit ec: ExecutionContext, F: PlayMonad[F]): ObjectStoreContentWrite[F, File, Request]
    Definition Classes
      PlayObjectStoreContentWrites
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
13.  implicit def futureEitherMonad(implicit ec: ExecutionContext): PlayMonad[FutureEither]
    Definition Classes
      PlayMonads
14.  implicit def futureMonad(implicit ec: ExecutionContext): PlayMonad[Future]
    Definition Classes
      PlayMonads
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  implicit def identity[F[_]](implicit ec: ExecutionContext, F: PlayMonad[F]): ObjectStoreContentRead[F, Source[ByteString, NotUsed], Source[ByteString, NotUsed]]
    Definition Classes
      PlayObjectStoreContentReads
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  implicit def payloadAkkaSourceContentWrite[F[_], Mat](implicit ec: ExecutionContext, F: PlayMonad[F]): ObjectStoreContentWrite[F, Payload[Source[ByteString, Mat]], Request]
    Definition Classes
      PlayObjectStoreContentWrites
23.  implicit def stringWrite[F[_]](implicit ec: ExecutionContext, F: PlayMonad[F]): ObjectStoreContentWrite[F, String, Request]
    Definition Classes
      PlayObjectStoreContentWrites
24.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
29.  object InMemoryReads extends InMemoryPlayObjectStoreContentReads

### Inherited from PlayMonads

### Inherited from PlayObjectStoreContentWrites

### Inherited from PlayObjectStoreContentReads

### Inherited from AnyRef

### Inherited from Any

### Ungrouped